Subject: Re: [PATCH] selftests: net: sort .gitignore file

From: Jakub Kicinski <[email-masked]>
Date: Thu, 1 Sep 2022 13:05:29 -0700

On Thu, 1 Sep 2022 12:15:02 +0200 Matthieu Baerts wrote:
> Hello,
> 
> On 29/08/2022 20:47, Axel Rasmussen wrote:
> > This is the result of `sort tools/testing/selftests/net/.gitignore`, but
> > preserving the comment at the top.  
> 
> FYI, we got a small conflict (as expected by Jakub) when merging -net in
> net-next in the MPTCP tree due to this patch applied in -net:
> 
>   5a3a59981027 ("selftests: net: sort .gitignore file")
> 
> and these ones from net-next:
> 
>   c35ecb95c448 ("selftests/net: Add test for timing a bind request to a
> port with a populated bhash entry")
>   1be9ac87a75a ("selftests/net: Add sk_bind_sendto_listen and
> sk_connect_zero_addr")
> 
> The conflict has been resolved on our side[1] and the resolution we
> suggest is attached to this email: new entries have been added in the
> list respecting the alphabetical order.

Yup, that was my plan as well. Apologies for the trouble, I thought
since the conflict will only exist for a day I'd be the only one
suffering.

I think we should also sort the Makefile FWIW.
Perhaps it's better done during the merge window.

> I'm sharing this thinking it can help others but if it only creates
> noise, please tell me! :-)

> [1] https://github.com/multipath-tcp/mptcp_net-next/commit/4151695b70b6

It is useful, thanks!